Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlObservableScene Class Reference

`#include <GlSceneObserver.h>`

Inherited by tlp::GlScene.

Inheritance diagram for tlp::GlObservableScene:

[legend]
List of all members.

## Detailed Description

Observable scene

## Public Member Functions

- virtual ~GlObservableScene ()
- void addObserver (GlSceneObserver *) const
- unsigned int countObservers ()
- void removeObserver (GlSceneObserver *) const
- void removeObservers ()
- void notifyAddLayer (GlScene *scene, const std::string &name, GlLayer *layer)
- void notifyDelLayer (GlScene *scene, const std::string &name, GlLayer *layer)
- void notifyModifyLayer (GlScene *scene, const std::string &name, GlLayer *layer)
- void notifyModifyEntity (GlScene *, GlSimpleEntity *entity)

## Protected Attributes

- std::set< GlSceneObserver * > observers

## Constructor & Destructor Documentation

virtual tlp::GlObservableScene::~GlObservableScene | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void tlp::GlObservableScene::addObserver | ( | GlSceneObserver * |  | ) | const`[inline]`

| Register a new observer

unsigned int tlp::GlObservableScene::countObservers | ( |  | ) | `[inline]`

| Returns the number of observers

void tlp::GlObservableScene::notifyAddLayer | ( | GlScene * | scene,
|  | const std::string & | name,
|  | GlLayer * | layer
| ) |

void tlp::GlObservableScene::notifyDelLayer | ( | GlScene * | scene,
|  | const std::string & | name,
|  | GlLayer * | layer
| ) |

void tlp::GlObservableScene::notifyModifyEntity | ( | GlScene * | ,
|  | GlSimpleEntity * | entity
| ) |

void tlp::GlObservableScene::notifyModifyLayer | ( | GlScene * | scene,
|  | const std::string & | name,
|  | GlLayer * | layer
| ) |

void tlp::GlObservableScene::removeObserver | ( | GlSceneObserver * |  | ) | const`[inline]`

| Remove an observer

void tlp::GlObservableScene::removeObservers | ( |  | ) | `[inline]`

| Remove all observers

## Member Data Documentation

std::set<GlSceneObserver*> tlp::GlObservableScene::observers `[mutable, protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010